Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.rmi
Class AttributeAnalysis

    java.lang.Object
      org.jboss.iiop.rmi.AbstractAnalysis
          org.jboss.iiop.rmi.AttributeAnalysis

public class AttributeAnalysis
extends org.jboss.iiop.rmi.AbstractAnalysis

Attribute analysis. Routines here are conforming to the "Java(TM) Language to IDL Mapping Specification", version 1.1 (01-06-07).

Version:
  $Revision: 1.4 $
Author:
  Ole Husgaard

Method Summary
`Method` | `getAccessor()` Return my accessor method
`OperationAnalysis` | `getAccessorAnalysis()` Return my accessor operation analysis
`Class` | `getCls()` Return my Java type.
`String` | `getIDLName()` Return my unqualified IDL name.
`String` | `getJavaName()` Return my unqualified java name.
`AttributeMode` | `getMode()` Return my attribute mode.
`Method` | `getMutator()` Return my mutator method
`OperationAnalysis` | `getMutatorAnalysis()` Return my mutator operation analysis

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMode

    public AttributeMode getMode()

  Return my attribute mode.

### getCls

    public Class getCls()

  Return my Java type.

### getAccessor

    public Method getAccessor()

  Return my accessor method

### getMutator

    public Method getMutator()

  Return my mutator method

### getAccessorAnalysis

    public OperationAnalysis getAccessorAnalysis()

  Return my accessor operation analysis

### getMutatorAnalysis

    public OperationAnalysis getMutatorAnalysis()

  Return my mutator operation analysis

### getIDLName

    public String getIDLName()

  Return my unqualified IDL name.

### getJavaName

    public String getJavaName()

  Return my unqualified java name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.